Package org.opensaml.saml.metadata.resolver.impl

# Class IdentityEntityIDGenerator

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.IdentityEntityIDGenerator

All Implemented Interfaces:
  `Function<CriteriaSet,String>`

public class IdentityEntityIDGenerator extends Object implements Function<CriteriaSet,String>
Function which just reflects back the entityID from the passed `EntityIdCriterion`.

## Constructor Summary

Constructors
Constructor
Description
`IdentityEntityIDGenerator()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(CriteriaSet input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### IdentityEntityIDGenerator

public IdentityEntityIDGenerator()

## Method Details

### apply

@Nullable public String apply(@Nullable CriteriaSet input)

Specified by:
  `apply` in interface `Function<CriteriaSet,String>`